/*
Product name : MepL_Farm PCB_ver
Board : Arduino_Micro 
MCU : BuiltIn(ATMEGA32U4-MU)


//---- 센서의 핀 설계
  Neopixel_Led_Pin  number is   5 
  Buzzer_pin        number is   6 (BuiltIn)
  Led_pin           number is   13(BuiltIn)
  Button_pin        number is   A0(BuiltIn)
  Soil_Sensor       number is   A1
  DHTPIN            number is   A2
  Fan A_Front       number is   7       // 쿨링팬 왼쪽   A의 전진방향
  Fan A_Back        number is   4       // 쿨링팬 왼쪽   A의 후진방향
  Fan A_Front       number is   8       // 쿨링팬 오른쪽 B의 전진방향
  Fan A_Back        number is   12      // 쿨링팬 오른쪽 B의 후진방향

*/

//네오픽셀 라이브러리
#include <Adafruit_NeoPixel.h>
//스트립 개수
#define numPixels 8 
//PWM 핀번호 사용(D5~)
#define pixelsPin 5 
// (NEO_GRB + NEO_KHZ800): 색상 형식과 통신 속도를 지정
Adafruit_NeoPixel pixels(numPixels, pixelsPin, NEO_GRB + NEO_KHZ800);

//----------------------------------------------------------------------
// 부팅시 만 실행
void setup()  {
  Serial.begin(9600);
  pixels.begin();
  //밝기는 0에서 255까지의 값
  pixels.setBrightness(10); 
}

void loop()  {
  pixels.clear();
  pixels.show();
  delay(100);
  
  // 첫 번째 픽셀을 빨간색으로 설정
  pixels.setPixelColor(0,255,0,0);
  pixels.show();
  delay(200);
  // 두 번째 픽셀을 녹색으로 설정
  pixels.setPixelColor(1,0,255,0);
  pixels.show();
  delay(200);
  // 세 번째 픽셀을 파란색으로 설정
  pixels.setPixelColor(2,0,0,255);
  pixels.show();
  delay(200);
}
